{ USERFILL.PAS }
{ PGL - Turbo Pascal Test Program }
{ User Fill pattern display test program }

program geom;
{$R-,S-}
uses Crt, PGL;

label
ExitPgm;

type
  fill = string[20];
  userpat = array [0..7] of byte;

const
   fillstyle : array [0..2] of fill =(' USER FILL 1',
                                      ' USER FILL 2',
                                      ' USER FILL 3' );
   userfill  : array [0..2] of userpat = ( ($FF,$80,$80,$80,$FF,$08,$08,$08),
                                           ($FF,$88,$88,$88,$FF,$08,$08,$08),
                                           ($FF,$08,$08,$08,$FF,$08,$08,$08) );

var
   j, ierr, dx, color : integer;
   oldfill  : array [0..2] of userpat;

{ ****   FillPat main procedure   ****  }
begin
    pgInitDrw( 'UserFill.plt', 4000, 3000, ierr );
    if ierr <> 0 then
     begin
        Writeln('Error in pgInitDrw' ); 
        goto ExitPgm;
     end;

   { Set up text style,color,size, & justicfication }
    pgSetTextStyle( pgTRIPLEX );
    pgSetTextJustify( pgCENTER, pgTOP );
    pgSetCharSpacing( 3 );
    pgSetTextScaling( 2, 1, 2, 1 );
    pgSetColor( 15 );

   { Display user fill 1 }
    pgSetFillPattern( userfill[0], 1 );
    pgRectangle( 100, 100, 900, 900, pgOFILL );
    pgDrawTextXY( 500, 920, fillstyle[0] );

   { Get old fill & color }
    pgGetFillPattern( oldfill[0], color );

   { Display user fill 2 }
    pgSetFillPattern( userfill[1], 1 );
    pgRectangle( 1100, 100, 1900, 900, pgOFILL );
    pgDrawTextXY( 1500, 920, fillstyle[1] );

   { Get old fill & color }
    pgGetFillPattern( oldfill[1], color );

   { Display user fill 3 }
    pgSetFillPattern( userfill[2], 1 );
    pgRectangle( 2100, 100, 2900, 900, pgOFILL );
    pgDrawTextXY( 2500, 920, fillstyle[2] );

   { Get old fill & color }
    pgGetFillPattern( oldfill[2], color );

   { Display old fill 1 }
    pgSetFillPattern( oldfill[0], color );
    pgRectangle( 100, 1100, 900, 1900, pgOFILL );
    pgDrawTextXY( 500, 1920, fillstyle[0] );

   { Display old fill 2 }
    pgSetFillPattern( oldfill[1], color );
    pgRectangle( 1100, 1100, 1900, 1900, pgOFILL );
    pgDrawTextXY( 1500, 1920, fillstyle[1] );

   { Display old fill 3 }
    pgSetFillPattern( oldfill[2], color );
    pgRectangle( 2100, 1100, 2900, 1900, pgOFILL );
    pgDrawTextXY( 2500, 1920, fillstyle[2] );



   { Close The Drawing File. }
    pgEndDrw ;
ExitPgm:
end.
